Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

use mirrored 64 bit image + update readme

  • Loading branch information...
commit 9d92287b3de4a581b2c8981fb59cecae7ca59a41 1 parent 66e02a4
@igrigorik authored
Showing with 2 additions and 9 deletions.
  1. +1 −8 README.md
  2. +1 −1  bin/compile
View
9 README.md
@@ -1,13 +1,6 @@
# Heroku Buildpack: Dart
-*Work in progress*
-
-This is a Heroku buildpack for [Dart](http://www.dartlang.org/). Status:
-
-- https://gist.github.com/299535bbf56bf3016cba
-- http://code.google.com/p/dart/issues/detail?id=2052
-
-TL;DR: Dart is 32 bit only at the moment, Heroku doesn't play well with 32 bit binaries.
+This is a Heroku buildpack for [Dart](http://www.dartlang.org/). At the moment Dart is officially [32 bit only](http://code.google.com/p/dart/issues/detail?id=2052), and unfortunately Heroku does not currently provide [support for 32 bit binaries](https://gist.github.com/47b77852c50cb8f57961). Because of this, this buildpack is using a custom / frozen (May 23, 2012) 64 bit build.
## Getting Started
View
2  bin/compile
@@ -18,7 +18,7 @@ function message {
# official VM is .zip only, which unfortuantely we can't extract on Heroku (doh)
# DART_SDK_SOURCE="https://gsdview.appspot.com/dart-editor-archive-continuous/latest/dart-linux.zip"
-DART_SDK_URL="http://dl.dropbox.com/u/37984425/dart_x64_bin.tgz"
+DART_SDK_URL="http://commondatastorage.googleapis.com/dartvm/dart_x64_bin-23.05.2012.tgz"
if [ ! -e "$CACHE_DIR/dart" ]; then
message "-----> Installing latest Dart VM"
Please sign in to comment.
Something went wrong with that request. Please try again.